ECIStringBuilder (ZXing 3.5.2 API)
Description: declaration: package: com.google.zxing.common, class: ECIStringBuilder

Package com.google.zxing.common

# Class ECIStringBuilder

java.lang.Object
com.google.zxing.common.ECIStringBuilder

public final class ECIStringBuilder extends Object
Class that converts a sequence of ECIs and bytes into a string

Author:
  Alex Geller

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ECIStringBuilder()`
  `ECIStringBuilder(int initialCapacity)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `append(byte value)`
  Appends `value` as a byte value
  `void`
  `append(char value)`
  Appends `value` as a byte value
  `void`
  `append(int value)`
  Append the string repesentation of `value` (short for `append(String.valueOf(value))`)
  `void`
  `append(String value)`
  Appends the characters in `value` as bytes values
  `void`
  `appendCharacters(StringBuilder value)`
  Appends the characters from `value` (unlike all other append methods of this class who append bytes)
  `void`
  `appendECI(int value)`
  Appends ECI value to output.
  `boolean`
  `isEmpty()`
  `int`
  `length()`
  Short for `toString().length()` (if possible, use `isEmpty()` instead)
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ECIStringBuilder

    public ECIStringBuilder()

  - ### ECIStringBuilder

    public ECIStringBuilder(int initialCapacity)

- ## Method Details

  - ### append

    public void append(char value)
    Appends `value` as a byte value
    Parameters:
      `value` - character whose lowest byte is to be appended

  - ### append

    public void append(byte value)
    Appends `value` as a byte value
    Parameters:
      `value` - byte to append

  - ### append

    public void append(String value)
    Appends the characters in `value` as bytes values
    Parameters:
      `value` - string to append

  - ### append

    public void append(int value)
    Append the string repesentation of `value` (short for `append(String.valueOf(value))`)
    Parameters:
      `value` - int to append as a string

  - ### appendECI

    public void appendECI(int value) throws FormatException
    Appends ECI value to output.
    Parameters:
      `value` - ECI value to append, as an int
    Throws:
      `FormatException` - on invalid ECI value

  - ### appendCharacters

    public void appendCharacters(StringBuilder value)
    Appends the characters from `value` (unlike all other append methods of this class who append bytes)
    Parameters:
      `value` - characters to append

  - ### length

    public int length()
    Short for `toString().length()` (if possible, use `isEmpty()` instead)
    Returns:
      length of string representation in characters

  - ### isEmpty

    public boolean isEmpty()
    Returns:
      true iff nothing has been appended

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`